# Get all files

#### **End Point** <a href="#end-point" id="end-point"></a>

```javascript
{{base_url}}/recent-files?page=1
```

#### **API Description** <a href="#api-description" id="api-description"></a>

This API provides a paginated response, limiting the results to 30 certificates per page, and showcasing a comprehensive list of certificates created under your account.&#x20;

The primary\_version\_id parameter denotes the identifier for the initial version associated with a file, offering insight into the evolution of each certificate. This enables efficient tracking and management of certificates associated with your account, facilitating a seamless understanding of their creation history.

#### **Method** <a href="#method" id="method"></a>

GET&#x20;

#### **Attributes** <a href="#api-body" id="api-body"></a>

<table><thead><tr><th width="190">Attribute</th><th width="98">Type </th><th>Description</th></tr></thead><tbody><tr><td><strong>status</strong></td><td>Integer</td><td>Represents the status of the API response.</td></tr><tr><td><strong>message</strong></td><td>String</td><td>Provides a message indicating the success or failure of the API request.</td></tr><tr><td><strong>result</strong></td><td>Array</td><td>An array containing objects with information about different categories.</td></tr><tr><td><strong>result.id</strong></td><td>Integer</td><td>Unique identifier for a category.</td></tr><tr><td><strong>result.primary_version_id</strong></td><td>String</td><td>Unique identifier for the primary version of the file.</td></tr><tr><td><strong>result.name</strong></td><td>String</td><td>The name of the file.</td></tr><tr><td><strong>result.contributor</strong></td><td>String</td><td>The contributor of the file.</td></tr><tr><td><strong>result.status</strong></td><td>String</td><td>The status of the file (e.g., "completed").</td></tr><tr><td><strong>result.createdAt</strong></td><td>String</td><td>The timestamp when the file was created.</td></tr><tr><td><strong>result.updatedAt</strong></td><td>String</td><td>The timestamp when the file was last updated.</td></tr><tr><td><strong>result.lastUpdatedAt</strong></td><td>String</td><td>The timestamp of the last update to the file.</td></tr><tr><td><strong>result.userId</strong></td><td>String</td><td>Unique identifier for the user associated with the file.</td></tr></tbody></table>

#### Request <a href="#sample-request" id="sample-request"></a>

```javascript
curl --location -g '{{base_url}}/recent-files?page=1' \
--header 'Authorization: SECRET {{secret_key}}'
```

#### Response <a href="#sample-response-success-response" id="sample-response-success-response"></a>

```javascript
{
  "status": 201,
  "message": "success",
  "result": [
    {
      "id": "33f42dc0-c4d7-401d-b3ff-c0152d72a7e8",
      "primary_version_id": "d7bf2c72-9001-4280-92f2-545ff10fe080",
      "name": "This is a new file 13091",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-24T06:06:00.562Z",
      "updatedAt": "2023-11-24T06:06:00.562Z",
      "lastUpdatedAt": "2023-11-24T06:06:00.596Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "f8d0f158-7d33-44f3-8025-fb9b9402a74e",
      "primary_version_id": "76233ed6-b9d0-46b5-bd4c-5cda20d7c622",
      "name": "This is a new file 13099",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-24T05:55:34.128Z",
      "updatedAt": "2023-11-24T05:59:08.578Z",
      "lastUpdatedAt": "2023-11-24T05:59:08.578Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "37bef81d-9510-499d-850f-f2935791e0cd",
      "primary_version_id": "eedba790-c8dc-4c58-9cee-9a75abb74140",
      "name": "My IPR 1700731507402",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-23T09:25:08.149Z",
      "updatedAt": "2023-11-23T09:25:08.149Z",
      "lastUpdatedAt": "2023-11-23T09:25:08.175Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "091a71b2-67c3-4528-a219-14937bf1a10a",
      "primary_version_id": "9aebcca8-a30a-40df-8524-1eb3b73e7d54",
      "name": "My IPR 1700731167735",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-23T09:19:28.484Z",
      "updatedAt": "2023-11-23T09:19:28.484Z",
      "lastUpdatedAt": "2023-11-23T09:19:28.511Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "c230c3d3-f05d-470e-bd9c-68604f3da666",
      "primary_version_id": "2994ea81-c259-4b3b-9f76-92444cde6fbf",
      "name": "My IPR 1700731089354",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-23T09:18:09.942Z",
      "updatedAt": "2023-11-23T09:18:09.942Z",
      "lastUpdatedAt": "2023-11-23T09:18:09.989Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "c012e1fb-77cf-4348-baf6-bde37df9b6b2",
      "primary_version_id": "0635258f-1b17-48af-839b-878470c9fcb5",
      "name": "My IPR 1700717476413",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-23T05:31:19.515Z",
      "updatedAt": "2023-11-23T05:31:19.515Z",
      "lastUpdatedAt": "2023-11-23T05:31:19.546Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "9c0e3e81-5dcb-4a90-990e-006078339f01",
      "primary_version_id": "76ea0939-bd4e-4e83-a326-289bf807900e",
      "name": "My IPR 1700717367924",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-23T05:29:30.512Z",
      "updatedAt": "2023-11-23T05:29:30.512Z",
      "lastUpdatedAt": "2023-11-23T05:29:30.557Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "fc3190a0-2c98-4892-a411-0a8e21a33e7c",
      "primary_version_id": "b7ae0b69-6b1a-4b8f-ba04-7efd9461a6d6",
      "name": "My IPR 1700660769688",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T13:46:10.131Z",
      "updatedAt": "2023-11-22T13:46:10.131Z",
      "lastUpdatedAt": "2023-11-22T13:46:10.171Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "bef2386e-2a99-44a1-a475-0f965ab61065",
      "primary_version_id": "c999ff68-c604-49da-b97f-334930c91924",
      "name": "My IPR 1700660713075",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T13:45:13.531Z",
      "updatedAt": "2023-11-22T13:45:13.531Z",
      "lastUpdatedAt": "2023-11-22T13:45:13.564Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "75c5900b-8af4-4acd-a9ac-17d1ea173ea5",
      "primary_version_id": "d68dde0a-38e3-4672-b1dc-e69730a04a7b",
      "name": "My IPR 1700660472695",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T13:41:13.090Z",
      "updatedAt": "2023-11-22T13:41:13.090Z",
      "lastUpdatedAt": "2023-11-22T13:41:13.126Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "2d8dbde9-040d-4e37-9998-1cac6cf68494",
      "primary_version_id": "0e800caf-48c7-4d55-8aee-2b50d6653025",
      "name": "My IPR 1700658025120",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T13:00:27.651Z",
      "updatedAt": "2023-11-22T13:00:27.651Z",
      "lastUpdatedAt": "2023-11-22T13:00:27.678Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "a5666a9a-c0f0-444f-ad78-08a7a6313ef8",
      "primary_version_id": "b03ae347-d355-49dc-9cc6-dad5a0ef78ac",
      "name": "My IPR 1700657966985",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:59:27.465Z",
      "updatedAt": "2023-11-22T12:59:27.465Z",
      "lastUpdatedAt": "2023-11-22T12:59:27.499Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "bffbbc66-df82-4962-8694-c8e5cdb66c8c",
      "primary_version_id": "6ae51d26-6ed7-4d1c-95ee-38b95a233c8d",
      "name": "My IPR 1700656936092",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:42:18.373Z",
      "updatedAt": "2023-11-22T12:42:18.373Z",
      "lastUpdatedAt": "2023-11-22T12:42:18.410Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "9886cdec-9bbc-45b1-9277-4ca2ff5eccdc",
      "primary_version_id": "0a4c134b-5a75-4fc3-9100-fc805eb76d71",
      "name": "My IPR 1700656619284",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:37:01.509Z",
      "updatedAt": "2023-11-22T12:37:01.509Z",
      "lastUpdatedAt": "2023-11-22T12:37:01.538Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "ad16953d-0936-45e2-ad33-4ef0fb2b394d",
      "primary_version_id": "25294fa5-ef14-4259-9d1a-ade577dfae82",
      "name": "My IPR 1700655947313",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:25:47.962Z",
      "updatedAt": "2023-11-22T12:25:47.962Z",
      "lastUpdatedAt": "2023-11-22T12:25:47.994Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "8ca21c9b-46fc-4668-99bb-ff57387c7b7c",
      "primary_version_id": "d32fc127-295b-4808-a4c5-83ff2891f205",
      "name": "My IPR 1700655816949",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:23:37.220Z",
      "updatedAt": "2023-11-22T12:23:37.220Z",
      "lastUpdatedAt": "2023-11-22T12:23:37.248Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "77e12c9d-2fe7-4883-a2a0-e64421276c56",
      "primary_version_id": "a6431db1-704a-468d-b1f6-5042494878ee",
      "name": "My IPR 1700655533637",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:18:59.008Z",
      "updatedAt": "2023-11-22T12:18:59.008Z",
      "lastUpdatedAt": "2023-11-22T12:18:59.037Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "3dc6d1bc-9041-4cb6-94e5-0c0a62c6dcf4",
      "primary_version_id": "3f61f391-6149-4f6c-879a-353e8141df69",
      "name": "My IPR 1700655363976",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:16:09.307Z",
      "updatedAt": "2023-11-22T12:16:09.307Z",
      "lastUpdatedAt": "2023-11-22T12:16:09.344Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "8483b68a-37c9-4e42-ac60-e652679b6e5d",
      "primary_version_id": "ff567224-2897-4464-baa0-ee899dc82d3a",
      "name": "My IPR 1700655321380",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:15:26.803Z",
      "updatedAt": "2023-11-22T12:15:26.803Z",
      "lastUpdatedAt": "2023-11-22T12:15:26.837Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "70d2c9f3-ebd2-4974-8b19-261a7625508d",
      "primary_version_id": "1b1fdb06-75e8-4405-bae7-89afc3eb68af",
      "name": "My IPR 1700655287168",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T12:14:47.603Z",
      "updatedAt": "2023-11-22T12:14:47.603Z",
      "lastUpdatedAt": "2023-11-22T12:14:47.635Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "838b90cb-b4f2-4539-9cb9-2411f2d272d3",
      "primary_version_id": "32b1da7a-59fe-4251-884b-80932692860b",
      "name": "My IPR 1700653834849",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T11:51:08.551Z",
      "updatedAt": "2023-11-22T11:51:08.551Z",
      "lastUpdatedAt": "2023-11-22T11:51:08.589Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "91623c95-9137-4f59-97b7-88a3241ef855",
      "primary_version_id": "a7f02ba7-2231-4aa6-90d2-c2785bee4289",
      "name": "My IPR 1700652119830",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T11:25:16.663Z",
      "updatedAt": "2023-11-22T11:25:16.663Z",
      "lastUpdatedAt": "2023-11-22T11:25:16.693Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "cddede5f-f658-4a71-919d-925ac035c6f2",
      "primary_version_id": "a4724c54-8d7d-4c9f-8b4c-89bb239d5eb9",
      "name": "My IPR 1700651830573",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T11:17:11.055Z",
      "updatedAt": "2023-11-22T11:17:11.055Z",
      "lastUpdatedAt": "2023-11-22T11:17:11.088Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "dd1188ef-fe63-445d-a310-04d353c5ebf3",
      "primary_version_id": "f7d8bfe9-0447-420f-9f9f-c7d4aeed4ad1",
      "name": "My IPR 1700649986487",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T10:46:27.260Z",
      "updatedAt": "2023-11-22T10:46:27.260Z",
      "lastUpdatedAt": "2023-11-22T10:46:27.294Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "660a1c18-9224-43eb-9ef4-edffb53cda24",
      "primary_version_id": "72128b4b-76dc-488a-9b26-99c4f30ffe8b",
      "name": "My IPR 1700649689128",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T10:41:29.885Z",
      "updatedAt": "2023-11-22T10:41:29.885Z",
      "lastUpdatedAt": "2023-11-22T10:41:29.912Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "2f259853-2c0e-4d27-b08c-650fd2933a88",
      "primary_version_id": "db9cbfbd-eeb2-43f5-b001-926c93b6548e",
      "name": "My IPR 1700649608315",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T10:40:09.709Z",
      "updatedAt": "2023-11-22T10:40:09.709Z",
      "lastUpdatedAt": "2023-11-22T10:40:09.743Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "fa2a8efc-835f-4748-ba71-1d288e358198",
      "primary_version_id": "4c951b26-516f-421f-b7ca-b7d80a3d912d",
      "name": "My IPR 1700648762095",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T10:26:03.001Z",
      "updatedAt": "2023-11-22T10:26:03.001Z",
      "lastUpdatedAt": "2023-11-22T10:26:03.033Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "b486a9aa-76d0-47b6-aaca-066b76b4c344",
      "primary_version_id": "f61f8a96-cf8d-49ed-80e5-2c0516d9e7c7",
      "name": "My IPR 1700648705613",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T10:25:06.242Z",
      "updatedAt": "2023-11-22T10:25:06.242Z",
      "lastUpdatedAt": "2023-11-22T10:25:06.276Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "6b4161cd-35e0-4bd6-8f43-818805927ac9",
      "primary_version_id": "cc0f3c31-4741-41fe-8927-9e88474619cf",
      "name": "My IPR 1700648218566",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T10:16:59.230Z",
      "updatedAt": "2023-11-22T10:16:59.230Z",
      "lastUpdatedAt": "2023-11-22T10:16:59.550Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    },
    {
      "id": "24fc172a-2df7-4b06-87c0-c834e01add3e",
      "primary_version_id": "a9ce2f45-3180-4a6e-ac6c-72a3fcc61930",
      "name": "My IPR 1700639550594",
      "contributor": "business varsha",
      "status": "completed",
      "createdAt": "2023-11-22T07:52:31.376Z",
      "updatedAt": "2023-11-22T07:52:31.376Z",
      "lastUpdatedAt": "2023-11-22T07:52:31.410Z",
      "userId": "2ebe5490-ce56-42c2-afbe-20b5de491a37"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myipr.io/myipr-open-api/api-guides/api-reference/get-all-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
